Bug 869453 - Memcached vs HotRod info
Memcached vs HotRod info
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.1.0
Assigned To: gsheldon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 20:23 EDT by gsheldon
Modified: 2013-03-20 19:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 19:55:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gsheldon 2012-10-23 20:23:27 EDT
Need to include a topic outlining the benefits of migrating from memcached.

Some points from list discussion should be considered for inclusion in docs:

1) it should be a drop-in replacement with better scale, durability and dynamic elasticity.
2) it's not as fast as JDG with HotRod

memcached wiki http://code.google.com/p/memcached/wiki/NewHardware
 - use case of backing the cache with a database.  
 - the network demand of larger cached items.  

When HotRod protocol is used to connect to a distributed cache in client/server, there is no need to specify hostnames and ports of each node in the remote cache. When using Memcached the hostnames and ports do need to be specified. This can have a significant impact for clients intending to add and remove remote cache nodes frequently (eg on IaaS).
Comment 2 gsheldon 2012-11-21 23:28:05 EST
Topic on SME pad.
Comment 5 Misha H. Ali 2013-03-20 19:55:18 EDT
Now available at https://access.redhat.com/knowledge/docs/JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.